with import <nixpkgs> {} ;
let
  just = callPackage ./. {};
in just.overrideAttrs(o: {
  nativeBuildInputs = o.nativeBuildInputs ++ (with pkgs; [
    socat
    overmind
    entr
  buildInputs = o.buildInputs ++ (with pkgs; [
    gobject-introspection
    gtk3
    webkitgtk
  ]);
  JUST_HACKING = 1;

  shellHook = with pkgs; ''
    export XDG_DATA_DIRS=${gsettings-desktop-schemas}/share/gsettings-schemas/${gsettings-desktop-schemas.name}:${gtk3}/share/gsettings-schemas/${gtk3.name}:$XDG_DATA_DIRS;
    export GIO_MODULE_DIR="${pkgs.glib-networking}/lib/gio/modules/";
  '';
})
